Package org.apache.storm.trident.spout

# Class OpaquePartitionedTridentSpoutExecutor.Emitter

java.lang.Object
org.apache.storm.trident.spout.OpaquePartitionedTridentSpoutExecutor.Emitter

All Implemented Interfaces:
  `ICommitterTridentSpout.Emitter`, `ITridentSpout.Emitter`

Enclosing class:
  OpaquePartitionedTridentSpoutExecutor

public class OpaquePartitionedTridentSpoutExecutor.Emitter extends Object implements ICommitterTridentSpout.Emitter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Emitter(String txStateId, Map<String,Object> conf, TopologyContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Release any resources held by this emitter.
  `void`
  `commit(TransactionAttempt attempt)`
  `void`
  `emitBatch(TransactionAttempt tx, Object coordinatorMeta, TridentCollector collector)`
  Emit a batch for the specified transaction attempt and metadata for the transaction.
  `void`
  `success(TransactionAttempt tx)`
  This attempt committed successfully, so all state for this commit and before can be safely cleaned up.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Emitter

    public Emitter(String txStateId, Map<String,Object> conf, TopologyContext context)

- ## Method Details

  - ### emitBatch

    public void emitBatch(TransactionAttempt tx, Object coordinatorMeta, TridentCollector collector)
    Description copied from interface: `ITridentSpout.Emitter`
    Emit a batch for the specified transaction attempt and metadata for the transaction. The metadata was created by the Coordinator in the initializeTransaction method. This method must always emit the same batch of tuples across all tasks for the same transaction id.
    Specified by:
      `emitBatch` in interface `ITridentSpout.Emitter`
    Parameters:
      `tx` - transaction id
      `coordinatorMeta` - metadata from the coordinator defining this transaction
      `collector` - output tuple collector

  - ### success

    public void success(TransactionAttempt tx)
    Description copied from interface: `ITridentSpout.Emitter`
    This attempt committed successfully, so all state for this commit and before can be safely cleaned up.
    Specified by:
      `success` in interface `ITridentSpout.Emitter`
    Parameters:
      `tx` - attempt object containing transaction id and attempt number

  - ### commit

    public void commit(TransactionAttempt attempt)
    Specified by:
      `commit` in interface `ICommitterTridentSpout.Emitter`

  - ### close

    public void close()
    Description copied from interface: `ITridentSpout.Emitter`
    Release any resources held by this emitter.
    Specified by:
      `close` in interface `ITridentSpout.Emitter`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`